# $Revision: 1.25 $, $Date: 2004/10/29 12:09:42 $
#
# Conditional build:
%bcond_without	alsa	# don't build ALSA audio plugin
%bcond_without	gnome	# build without GNOME-based GUI
#
Summary:	GNU/Linux Audio Mechanics
Summary(pl):	GNU/Linux Audio Mechanics - program do obrbki dwiku
Name:		glame
Version:	1.0.3
Release:	1
License:	GPL
Group:		Applications/Sound
Source0:	http://dl.sourceforge.net/glame/%{name}-%{version}.tar.gz
# Source0-md5:	9dc47b94f1d3c64eff36d5e61375ff78
Patch0:		%{name}-info.patch
Patch1:		%{name}-info_no_version.patch
Patch2:		%{name}-use_sys_libltdl.patch
Patch3:		%{name}-desktop.patch
Patch4:		%{name}-libxml-vs-libglade.patch
Patch5:		%{name}-libmad-nopc.patch
Patch6:		%{name}-alsa1.patch
URL:		http://glame.sourceforge.net/
%{?with_alsa:BuildRequires:	alsa-lib-devel >= 0.9.0}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	esound-devel >= 0.2.0
#BuildRequires:	fftw-single-devel (TODO: update for fftw3-single-devel)
BuildRequires:	gettext-devel
%{?with_gnome:BuildRequires:	gtk+-devel >= 1.2.0}
%{?with_gnome:BuildRequires:	gnome-libs-devel}
BuildRequires:	guile-devel >= 1.4.1
BuildRequires:	ladspa-devel
%{?with_gnome:BuildRequires:	libglade-devel}
BuildRequires:	libmad-devel
BuildRequires:	libltdl-devel
BuildRequires:	libtool
BuildRequires:	libvorbis-devel
BuildRequires:	libxml-devel >= 1.8.0
BuildRequires:	pkgconfig >= 0.9.0
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GLAME is targeted to be the GIMP for audio processing. Its developer
want to provide a powerful, fast, stable and easily extensible sound
editor for Linux and compatible systems.

%description -l pl
GLAME ma by odpowiednikiem GIMP-a do obrbki dwiku. Jego twrcy
chc da w peni funkcjonalny, szybki, stabilny i atwo rozszerzalny
edytor dwik dla Linuksa i kompatybilnych z nim systemw.

%package gui
Summary:	GNOME-based GUI for GLAME
Summary(pl):	Oparty na GNOME graficzny interfejs do GLAME
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}

%description gui
GNOME-based GUI for GLAME.

%description gui -l pl
Oparty na GNOME graficzny interfejs do GLAME.

%package audio-alsa
Summary:	ALSA audio plugin for GLAME
Summary(pl):	Wtyczka dwiku ALSA dla GLAME
Group:		Applications/Sound
Requires:	%{name} = %{version}

%description audio-alsa
Plugin for GLAME that allows playing sound through ALSA.

%description audio-alsa -l pl
Wtyczka dla GLAME pozwalajca na odtwarzanie dwiku przez ALSA.

%package audio-esd
Summary:	ESD audio plugin for GLAME
Summary(pl):	Wtyczka dwiku ESD dla GLAME
Group:		Applications/Sound
Requires:	%{name} = %{version}

%description audio-esd
Plugin for GLAME that allows playing sound through ESD.

%description audio-esd -l pl
Wtyczka dla GLAME pozwalajca na odtwarzanie dwiku przez ESD.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure \
	--disable-static \
	%{!?with_gnome:--disable-gui}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Multimediadir=%{_desktopdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS CREDITS MAINTAINERS NEWS README TODO
%attr(755,root,root) %{_bindir}/cglame
%attr(755,root,root) %{_bindir}/glame-convert.sh
%dir %{_libdir}/glame
%attr(755,root,root) %{_libdir}/glame/audio_io_oss.so
%attr(755,root,root) %{_libdir}/glame/debug.so
%attr(755,root,root) %{_libdir}/glame/tutorial.so
%{_libdir}/glame/audio_io_oss.la
%{_libdir}/glame/debug.la
%{_libdir}/glame/tutorial.la
%dir %{_datadir}/glame
%{_datadir}/glame/scripts
%{_infodir}/glame*

%if %{with gnome}
%files gui -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/glame
%{_datadir}/glame/pixmaps
%{_datadir}/glame/default-accels
%{_desktopdir}/*
%attr(755,root,root) %{_libdir}/glame/mixer.so
%attr(755,root,root) %{_libdir}/glame/normalize.so
%attr(755,root,root) %{_libdir}/glame/resample.so
%{_libdir}/glame/mixer.la
%{_libdir}/glame/normalize.la
%{_libdir}/glame/resample.la
%endif

%if %{with alsa}
%files audio-alsa
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/glame/audio_io_alsa.so
%{_libdir}/glame/audio_io_alsa.la
%endif

%files audio-esd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/glame/audio_io_esd.so
%{_libdir}/glame/audio_io_esd.la

#%files fft
#%defattr(644,root,root,755)
#%attr(755,root,root) %{_libdir}/glame/fft_plugins.so
#%{_libdir}/glame/fft_plugins.la

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: glame.spec,v $
Revision 1.25  2004/10/29 12:09:42  paszczus
- release 1

Revision 1.24  2004/10/29 11:59:34  paszczus
- updated to 1.0.3
- release 0.1; test-build please...

Revision 1.23  2004/07/16 09:53:59  ankry
- updated -desktop patch, rel. 2

Revision 1.22  2004/01/16 16:51:03  qboosh
- updated to 1.0.2, added alsa1 patch (for alsa 1.0), new-style bconds

Revision 1.21  2003/08/11 22:46:30  ankry
- cosmetics

Revision 1.20  2003/07/19 19:02:33  qboosh
- up to 1.0.1 (now with mp3 and ogg import support)
- added libmad-nopc patch (to detect libmad without .pc file)
- support alsa

Revision 1.19  2003/07/07 13:03:14  qboosh
- use _desktopdir macro, other minor changes where needed

Revision 1.18  2003/05/26 16:25:02  malekith
- massive attack: adding Source-md5

Revision 1.17  2003/05/25 05:47:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/04/27 10:15:53  qboosh
- fixed info patch
- added libxml-vs-libglade patch (link with libxml 1.8.x when using libglade;
  cannot use libxml2, because libglade is linked with libxml 1.8.x);
  BR x/libxml2-devel/libxml-devel/ (glame is not fully ready for libxml2 anyway)
- BR: ladspa-devel, for GUI BR: libglade-devel
- separated gui and audio-esd subpackages

Revision 1.15  2003/04/23 14:21:24  djrzulf
- From: ukasz Jerna <dee-pld@nsj.srem.pl> :
  - updated to 1.0.0,
  - updated patches,
  - added patch3,
  - cosmetics,

Revision 1.14  2003/01/18 22:48:35  juandon
- removed two lines with define

Revision 1.13  2002/10/09 13:14:24  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.12  2002/06/27 06:55:46  kloczek
- updated to 0.6.2 (0.5.2 does not build with guile 1.4.1),
- added full regenerate ac/am/lt files,
- use system avalaible libltd (added use_sys_libltdl patch),
- added using %%find_lang macro,
- updated %files list.

Revision 1.11  2002/05/10 19:47:52  hunter
-removed %{dir} from %{dir} %{_libdir}/glame (plugins are in that dir)

Revision 1.10  2002/04/25 16:24:41  arturs
fixed a small typo

Revision 1.9  2002/02/22 23:28:57  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/30 22:34:49  misiek
- don't include dir.gz; release 3

Revision 1.7  2002/01/18 02:13:05  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/29 09:22:51  kloczek
- cosmetics.

Revision 1.5  2001/11/29 09:03:13  qboosh
- adapterized, added descriptions, cosmetics; release 2

Revision 1.4  2001/07/26 05:42:07  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.2  2001/07/23 16:20:10  qboosh
- updated to 0.5.2, updated info patch
- _without_gnome (no GUI at all :/)

Revision 1.1  2000/10/29 18:24:58  kloczek
- written from scrach (NYF).
